{if !$mobile_view}
  {include file="./index_top.tpl"}
{else}
    {include file="./index_head.tpl"}
    {include file="./js/js_top.tpl"}
    <link rel="stylesheet" type="text/css" href="themes/clientbase/libs/jquery/autocomplete/jquery.autocomplete.css?{$revision}" />
    <link rel="stylesheet" type="text/css" href="themes/clientbase/libs/jquery/autocomplete/lib/thickbox.css?{$revision}" />
    <link rel="stylesheet" type="text/css" href="themes/clientbase/libs/jquery/jquery-ui.css?{$revision}" />
    <script type="text/javascript" src="lang/{$config.lang}.js?{$revision}"></script>
    <script type="text/javascript" src="mybic.js?{$revision}"></script>
    <script type="text/javascript" src="explode.js?{$revision}"></script>
    <script type="text/javascript" src="themes/clientbase/libs/jquery/jquery-3.2.1.min.js?{$revision}"></script>
    <script type="text/javascript" src="themes/clientbase/libs/jquery/jquery-migrate-1.2.1.js?{$revision}"></script>
    <script type="text/javascript" src="themes/clientbase/libs/jquery/jquery.cookie.js?{$revision}"></script>
    <script type="text/javascript" src="themes/clientbase/libs/jquery/jquery-href_post.js?{$revision}"></script>
    <script type="text/javascript" src="include/js/help_sys.js?{$revision}"></script>
    <script type="text/javascript" src="base64.js?{$revision}"></script>
    <script type="text/javascript" src="rgbcolor.js?{$revision}"></script>
    <script type='text/javascript' src='themes/clientbase/libs/jquery/autocomplete/lib/jquery.ajaxQueue.js?{$revision}'></script>
    <script type='text/javascript' src='themes/clientbase/libs/jquery/autocomplete/lib/thickbox-compressed.js?{$revision}'></script>
    <script type='text/javascript' src='themes/clientbase/libs/jquery/autocomplete/jquery.autocomplete.js?{$revision}'></script>
    <script type='text/javascript' src='themes/clientbase/libs/jquery/jquery-ui.min.js?{$revision}'></script>
    <script type='text/javascript' src='themes/clientbase/libs/jquery/jquery.ui.datepicker.js?{$revision}'></script>
    <script type='text/javascript' src='themes/clientbase/libs/jquery/i18n/jquery.ui.datepicker-{$lang.short_name}.js?{$revision}'></script>
    <script type="text/javascript" src="themes/clientbase/libs/jquery/jquery.select_fast_edit.js?{$revision}"></script>
    <script type="text/javascript" src="checkByMask.js?c1"></script>
    <script type="text/javascript" src="themes/clientbase/libs/jquery/jquery-dialog.js?{$revision}"></script>
    <script type="text/javascript" src="themes/clientbase/libs/jquery/jquery.mousewheel.js?{$revision}"></script>
    <script type="text/javascript" src="themes/clientbase/libs/ckeditor/ckeditor.js?{$revision}"></script>
    <script type="text/javascript" src="themes/clientbase/libs/ckeditor/adapters/jquery.js?{$revision}"></script>
    <script type="text/javascript">
        $(function(){ $('textarea.html_editor').ckeditor(function(){ }, { width:'600px', height:'300px' }) });

        // Метод для строк, заменяющий ВСЕ вхождения определенного символа/подстроки
        String.prototype.replaceAll = function(search, replace) {
            return this.split(search).join(replace);
        }
    </script>
    {$ADDITIONAL_JAVASCRIPT_INCLUDE}
    <script language="JavaScript" type="text/javascript">
    {if $cur_bizproc}
    var allow_out_bizproc = 0;
    $(window).bind("beforeunload", function(){
        if (!allow_out_bizproc) return "{$lang.bizproc_out_alert}";
    });
    {elseif $bizproc_done}
    $(function() {
        jinfo('<div align=center>{$lang.Business_process_ended}!</div>','{$lang.Business_process}',350);
    });
    {/if}

    $.widget("ui.dialog", $.extend({}, $.ui.dialog.prototype, {
        _title: function(title) {
            if (!this.options.title ) {
                title.html("&#160;");
            } else {
                title.html(this.options.title);
            }
        }
    }));

    // закрытие напоминаний, включая плавное исчезновение и фоновое обновление данных (ajax)
    var eOpacity = 1;
    var interval = false;
    var update_tip_ajax = new XMLHTTP("update_tip.php");

    function closeTip(user_id, tip_show_id, line_id)
        {
            slideOff('tip_block_'+tip_show_id);
            eOpacity = 1;

            update_tip_ajax.method="POST";
            update_tip_ajax.call("tip_show_id="+tip_show_id+"&csrf={$csrf}", ComRespTip);
        }
    function flagTip(tip_show_id)
        {
            var im=document.getElementById('top_tip_flag_'+tip_show_id);
            var sc=im.src;
            var new_state=1;
            if (sc.indexOf('star.png')>0) new_state=0;
            if (new_state) im.src='images/star.png';
            else im.src='images/star_gray.png';
            update_tip_ajax.method="POST";
            update_tip_ajax.call("tip_show_id="+tip_show_id+"&change_flag=1&csrf={$csrf}", ComRespTip);
        }

    function ComRespTip(resp)
        {

        }


    function slideOff(sElemId)
        {
            var delta = Math.floor(document.getElementById(sElemId).offsetHeight/10);
            interval = window.setInterval("minus('" + sElemId + "', " + delta + ")", 50);
        }

    function minus(sElemId, delta)
        {
            nHeight = document.getElementById(sElemId).offsetHeight;
            nHeight = parseInt(nHeight);
            nHeight = nHeight - delta;
            if (nHeight>0)
                {
                    eOpacity = eOpacity-0.1;
                    document.getElementById(sElemId).style.height = nHeight + "px";
                    setElementOpacity(sElemId, eOpacity);
                    on_top_resize();
                }
            else
                {
                    if (nHeight=='0') {
                        document.getElementById(sElemId).style.display= "none";
                        document.getElementById(sElemId).style.height = '1' + "px";
                        window.clearInterval(interval);
                        on_top_resize();
                    }
                    else
                        {
                            minus(sElemId, delta-1);
                        }
                }
        }

    function setElementOpacity(sElemId, nOpacity)
        {
            var opacityProp = getOpacityProperty();
            var elem = document.getElementById(sElemId);

            if (!elem || !opacityProp) return; // Если не существует элемент с указанным id или браузер не поддерживает ни один из известных функции способов управления прозрачностью

            if (opacityProp=="filter")  // Internet Exploder 5.5+
                {
                    nOpacity *= 100;

                    // Если уже установлена прозрачность, то меняем её через коллекцию filters, иначе добавляем прозрачность через style.filter
                    var oAlpha = elem.filters['DXImageTransform.Microsoft.alpha'] || elem.filters.alpha;
                    if (oAlpha) oAlpha.opacity = nOpacity;
                    else elem.style.filter += "progid:DXImageTransform.Microsoft.Alpha(opacity="+nOpacity+")"; // Для того чтобы не затереть другие фильтры используем "+="
                }
            else // Другие браузеры
                elem.style[opacityProp] = nOpacity;
        }

    function getOpacityProperty()
        {
            if (typeof document.body.style.opacity == 'string') // CSS3 compliant (Moz 1.7+, Safari 1.2+, Opera 9)
                return 'opacity';
            else if (typeof document.body.style.MozOpacity == 'string') // Mozilla 1.6 и младше, Firefox 0.8
                return 'MozOpacity';
            else if (typeof document.body.style.KhtmlOpacity == 'string') // Konqueror 3.1, Safari 1.1
                return 'KhtmlOpacity';
            else if (document.body.filters && navigator.appVersion.match(/MSIE ([\d.]+);/)[1]>=5.5) // Internet Exploder 5.5+
                return 'filter';

            return false; //нет прозрачности
        }

        {if $cur_cat}var prev_cat={$cur_cat};{/if}

    function open_calc(params,text_len)
        {
            if (text_len>3000)
                { // Большие тексты открываем в окне на весь экран
                    var left = 0;
                    var top = 0;
                    var width=screen.availWidth;
                    var height=screen.availHeight;
                    if (window.opera)
                        { // чтобы окно открылось отдельной вкладкой
                            width+=500;
                            height+=500;
                        }
                }
            else
                {
                    var width  = 800;
                    var height = 600;
                    var left = ( screen.width - width ) / 2;
                    var top = ( screen.height - 600 ) / 2;
                }
            var t_v=window.open('edit_php.php?'+params, (params.replace(/&/g,"")).replace(/=/g,""), 'top='+top+', left='+left+', menubar=0, resizable=1, scrollbars=0, status=0, toolbar=0, width='+width+', height='+height);
            t_v.focus();
        }


    // Обработка перемотки окна

    // Получить css свойство объекта
    function getElementComputedStyle(elem, prop)
        {
            if (typeof elem!="object") elem = document.getElementById(elem);

            // external stylesheet for Mozilla, Opera 7+ and Safari 1.3+
            if (document.defaultView && document.defaultView.getComputedStyle)
                {
                    if (prop.match(/[A-Z]/)) prop = prop.replace(/([A-Z])/g, "-$1").toLowerCase();
                    return document.defaultView.getComputedStyle(elem, "").getPropertyValue(prop);
                }

            // external stylesheet for Explorer and Opera 9
            if (elem.currentStyle)
                {
                    var i;
                    while ((i=prop.indexOf("-"))!=-1) prop = prop.substr(0, i) + prop.substr(i+1,1).toUpperCase() + prop.substr(i+2);
                    return elem.currentStyle[prop];
                }

            return "";
        }

    // Привести к intval
    function intval( mixed_var, base ) {    // Get the integer value of a variable
        //
        // +   original by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
        var tmp;

        if( typeof( mixed_var ) == 'string' ){
            tmp = parseInt(mixed_var);
            if(isNaN(tmp)){
                return 0;
            } else{
                return parseInt(tmp.toString(base || 10));
            }
        } else if( typeof( mixed_var ) == 'number' ){
            return parseInt(Math.floor(mixed_var));
        } else{
            return 0;
        }
    }

    // Функция для добавления обработчика событий
    // Сохраняем обработчки onsubmit для edit_form в отдельном массиве
    var edit_form_submits = new Array();
    function addHandler(object, event, handler, useCapture) {
        if (!object) return ;
        if ((document.getElementById('edit_form'))&&(object==document.getElementById('edit_form'))&&(event=="onsubmit"))
            { // сохраняем события onsubmit формы edit_form
                edit_form_submits.push(handler);
            }

        if (object.addEventListener) {
            var t1;
            if (event.substr(0,2).toLowerCase()=="on") t1=event.substr(2,1024); // убираем приставку on
            object.addEventListener(t1, handler, useCapture ? useCapture : false);
        } else if (object.attachEvent) {
            object.attachEvent(event, handler);
        } else jalert("Add handler is not supported");
    }

    {if $config.window_scroll eq 1}
    // Добавляем обработчики
    /* Gecko */
    addHandler(window, 'onDOMMouseScroll', onMyScroll);
    /* Opera */
    addHandler(window, 'onmousewheel',   onMyScroll);
    /* IE */
    addHandler(document, 'onmousewheel', onMyScroll);
    {/if}

    var table_padding=32;
    var buttons_h=37;
    var table_header_h=0;
    var right_white;
    var left_white;
    var top_header_div;
    var fields_content_table;
    var window_width;
    var window_height;
    var fields_buttons_table;
    var old_offs_x=-1;
    var old_offs_y=-1;
    var old_new_h=-1;
    var scroll_orientir=-1;
    var header_orientir=-1;
    var visible_popup=0;
    var table_div;
    var rp_div;
    var page_loaded=0;

    // Скролл окна
    function onMyScroll(event) {
        var offs_x=window.pageXOffset;
        var offs_y=window.pageYOffset;

        if (typeof(offs_x) != 'number' )
            {
                offs_x=document.documentElement.scrollLeft;
                offs_y=document.documentElement.scrollTop;
            }

        if (offs_x!=old_offs_x)
            {  // Ездит X позиция
                old_offs_x=offs_x;
                if (visible_popup)
                    {
                        move_table_headers(offs_x,offs_y);
                    }
                else
                    { // виден родной заголовок
                        // меняем позицию у галочки в шапке таблицы
                        if (fields_content_table)
                            {
                                document.getElementById('header_0_div').style.top=(fields_content_table.offsetTop-offs_y)+"px";
                                document.getElementById('header_0_div').style.left=table_padding+"px";
                            }
                        // и ведеться скролл по оси х, переключаем вид в fixed режим шапку
                        if (header_orientir!=0)
                            {
                                // меняем позицию на фиксированную у шапки
                                if (top_header_div)
                                    {
                                        document.getElementById('top_header_div').style.position="fixed";
                                        document.getElementById('top_header_div').style.left="0px";
                                        document.getElementById('top_header_div').style.top=old_new_h+"px";
                                    }
                                header_orientir=0;
                            };
                    }
                if (scroll_orientir!=0)
                    {
                        // меняем галочку в шапке таблицы на fixed
                        if (fields_content_table)
                            {
                                document.getElementById('header_0_div').style.position="fixed";

                                // меняем позицию на фиксированную у div_table
                                table_div.style.position="fixed";
                                table_div.style.left=table_padding+"px";
                                table_div.style.top=(fields_content_table.offsetTop-offs_y)+"px";
                            }
                        scroll_orientir=0;
                    };
                // меняем позицию закрепленного поля
                {if $fixed_scroll_row}
                var rp_left=document.getElementById('header_{$fixed_scroll_row}').offsetLeft;
                var chk_width=document.getElementById('header_0_div').offsetWidth;
                var new_rp_left;
                var t_p=0;
                if (!visible_popup)
                    { // В случае с закрепленной шапкой rp_left уже включает отсуп слева таблиы
                        t_p=table_padding;
                    }
                if (offs_x>(rp_left-chk_width-t_p))
                    { // Зафиксировано поле
                        new_rp_left=-rp_left+t_p+chk_width;
                        rp_div.style.left=new_rp_left+"px";
                        document.getElementById('header_rp_div').style.left=(offs_x-rp_left+chk_width+t_p)+"px";
                    }
                else
                    { // Сдвигаем
                        new_rp_left=-offs_x;
                        rp_div.style.left=new_rp_left+"px";
                        document.getElementById('header_rp_div').style.left="0px";
                    }
                {/if}
            }
        if (offs_y!=old_offs_y)
            {  // Ездит Y позиция
                old_offs_y=offs_y;
                var h_top, b_h, new_h;
                if (fields_buttons_table)
                    { // Страница с кнопками
                        h_top=(-offs_y+top_header_div.offsetHeight);
                        b_h=fields_buttons_table.offsetHeight;
                        new_h=-offs_y;
                        if (h_top<b_h)
                            {
                                new_h=-offs_y+(b_h-h_top);
                                if (!visible_popup)
                                    { // зажимаем сверху
                                        // шапку
                                        document.getElementById('top_header_div').style.position="fixed";
                                        document.getElementById('top_header_div').style.left="0px";
                                        document.getElementById('top_header_div').style.top=(-top_header_div.offsetHeight+b_h)+"px";

                                        // меняем позицию на fixed у галочки в шапке таблицы
                                        if (fields_content_table)
                                            {
                                                document.getElementById('header_0_div').style.position="fixed";
                                                document.getElementById('header_0_div').style.top=buttons_h+"px";
                                                document.getElementById('header_0_div').style.left=table_padding+"px";
                                            }
                                        // зажимаем сверху ячейки таблицы
                                        fix_table_headers(offs_x);
                                        move_table_headers(offs_x,offs_y);
                                        header_orientir=1;
                                    }
                                visible_popup=1;
                            }
                        else
                            {
                                if (visible_popup)
                                    {
                                        free_table_headers();
                                        header_orientir=0;
                                    }
                                visible_popup=0;
                            };
                    }
                else
                    { // Страница без кнопок
                    }
                if (header_orientir!=1)
                    {
                        // меняем позицию на абсолютную у шапки

                        if (top_header_div)
                            {
                                document.getElementById('top_header_div').style.position="absolute";
                                document.getElementById('top_header_div').style.left=offs_x+"px";
                                document.getElementById('top_header_div').style.top="0px";
                            }

                        // меняем позицию на абсолютную у галочки в меню
                        if (fields_content_table)
                            {
                                document.getElementById('header_0_div').style.position="absolute";
                                document.getElementById('header_0_div').style.top=fields_content_table.offsetTop+"px";
                                document.getElementById('header_0_div').style.left=(table_padding+offs_x)+"px";
                            }
                        header_orientir=1;
                    };

                if (scroll_orientir!=1)
                    {
                        // меняем позицию на абсолютную у div таблицы
                        if (fields_content_table)
                            {
                                table_div.style.position="absolute";
                                table_div.style.left=(table_padding+offs_x)+"px";
                            }
                        scroll_orientir=1;
                    };
                if (fields_content_table)
                    {
                        table_div.style.top=fields_content_table.offsetTop+"px";
                    }
                old_new_h=new_h;
            }
        return true;
    }

    // Загружена страница
    function pageloaded()
        {
            window.onresize=on_window_resize;
            on_window_resize();
            {if $config.window_scroll eq 1}
            on_table_load_fixing();
            // сбрасываем снова скролл
            window.onscroll=onMyScroll;
            onMyScroll();
            {/if}
            page_loaded=1;
        }

    function move_table_headers(t_l,t_h)
        {
            var v_t, v_t2;
            if (fields_content_table)
                {
                    document.getElementById('f_row').style.left=table_padding-t_l+"px";
                    // меняем позицию у галочки в шапке таблицы
                    document.getElementById('header_0_div').style.top=buttons_h+"px";
                    document.getElementById('header_0_div').style.left=table_padding+"px";
                }
        }

    function fix_table_headers()
        {
            if (fields_content_table)
                {
                    var v_t, v_t2;
                    // устанавливаем тип блок
                    document.getElementById('f_row').style.display="block";
                    document.getElementById('f_row').style.position="fixed";
                    document.getElementById('f_row').style.top=buttons_h+"px";
                    document.getElementById('f_row').style.left=table_padding+"px";

                    // выносим на уровень выше
                    document.getElementById('f_row').style.zIndex ="1";

                    // восстанавливаем высоту блока
                    document.getElementById('header_t_0').style.height=table_header_h+"px";
                }
        };


    function free_table_headers()
        {
            if (fields_content_table)
                {
                    document.getElementById('f_row').style.display="";
                    document.getElementById('f_row').style.position="";
                    document.getElementById('f_row').style.top="";
                    document.getElementById('f_row').style.left=""
                    document.getElementById('f_row').style.zIndex=0;

                    // восстанавливаем высоту блока
                    document.getElementById('header_t_0').style.height="0px";
                };
        };

    function fnShowProps(obj, objName){
        var result = "";
        for (var i in obj) // обращение к свойствам объекта по индексу
            result += objName + "." + i + " = " + obj[i] + "<br />\n";
        document.write(result);
    }

    function on_table_load_fixing()
        {
            if (!fields_content_table) return ;

            var v_t, v_t2, v_el;
            fields_content_table.style.tableLayout="";

            // Запоминаем старые параметры
            table_header_h=document.getElementById('header_0').offsetHeight;
            document.getElementById('f_row_virtual').style.width=document.getElementById('f_row').offsetWidth+"px";
            document.getElementById('header_t_0').style.width=$('#header_0').offset().left+"px";
            {foreach from=$show_fields item=one_field}
            {if $one_field.hidden_tbl==0 and $one_field.group_field==0}
            document.getElementById('header_t_{$one_field.id}').style.width=document.getElementById('header_{$one_field.id}').offsetWidth+"px";
            {/if}
            {/foreach}

            // зажимаем ширину таблицы
            fields_content_table.style.tableLayout="fixed";

            // Восстанавливаем ширину блочного заголовка
            document.getElementById('f_row').style.width=document.getElementById('f_row_virtual').offsetWidth+"px";
            document.getElementById('header_0').style.width=document.getElementById('header_t_0').offsetWidth+"px";

            {foreach from=$show_fields item=one_field}
            {if $one_field.hidden_tbl==0 and $one_field.group_field==0}
            document.getElementById('header_{$one_field.id}').style.width=document.getElementById('header_t_{$one_field.id}').offsetWidth+"px";
            {/if}
            {/foreach}


            // Обрабатываем галочки
            document.getElementById('header_0_div').style.width=document.getElementById('header_0_div').offsetWidth+"px";
            document.getElementById('header_0_div').style.height=(document.getElementById('header_0').offsetHeight-1)+"px";

            // Создаем div с фиксированной позицией
            // Переводим галочки у строк в данный div
            table_div = document.getElementById('table_div');

            table_div.style.left=table_padding+"px"; // Задаем позицию такую же как у таблицы
            table_div.style.top = fields_content_table.offsetTop+"px";
            table_div.style.width  = "";
            table_div.style.height = "";

            var v_o, v_h,v_w,line_id;
            for (var i=0; i<all_lines_pp.length; i++)
                {
                    line_id=all_lines_pp[i];
                    if (!line_id) continue;
                    v_o =document.getElementById("chk_div_o_"+line_id);
                    v_el=document.getElementById("chk_div"+line_id);
                    v_h =document.getElementById("tr"+line_id).offsetHeight;
                    if (!v_o)
                        continue;
                    v_w =v_o.offsetWidth;
                    v_el.style.height=v_h+"px";
                    document.getElementById("chk_div_t_"+line_id).style.height=v_h+"px";
                    v_el.style.width=v_w+"px";
                    v_el.style.top =(document.getElementById("td"+line_id+".0").offsetTop)+"px";
                    v_el.style.backgroundColor=document.getElementById("bg"+line_id).value;
                    v_o.parentNode.removeChild(v_o);
                }

            {if $fixed_scroll_row}
            document.getElementById('header_rp_div').style.width=document.getElementById('header_rp_div').offsetWidth+"px";
            document.getElementById('header_rp_div').style.height=(document.getElementById('header_{$fixed_scroll_row}').offsetHeight-1)+"px";
            document.getElementById('header_rp_div').style.position="relative";

            rp_div = document.getElementById('rp_div');

            for (var i=0; i<all_lines_pp.length; i++)
                {
                    line_id=all_lines_pp[i];
                    if (!line_id) continue;
                    v_el=document.getElementById("rp_div"+line_id);
                    v_t =document.getElementById("tr"+line_id).offsetHeight - 1;
                    v_el.style.height=v_t+"px";
                    document.getElementById("rp_div_t"+line_id).style.height=v_t+"px";
                    v_el.style.width=document.getElementById("rp_div"+line_id).offsetWidth+"px";
                    v_el.style.left=(document.getElementById("td"+line_id+".{$fixed_scroll_row}").offsetLeft-table_padding)+"px";
                    v_el.style.top =(document.getElementById("td"+line_id+".{$fixed_scroll_row}").offsetTop)+"px";
                    v_el.style.position="absolute";
                    v_el.style.backgroundColor=document.getElementById("bg"+line_id).value;
                    rp_div.appendChild(v_el.parentNode.removeChild(v_el));
                }
            {/if}

        };

    function on_line_resize(line_id,field_id)
        {
            {if $config.window_scroll neq 1}
            return;
            {/if}
            var new_height, line_id;
            for (var i=0; i<all_lines_pp.length; i++)
                {
                    line_id=all_lines_pp[i];
                    if (!line_id) continue;
                    new_height=document.getElementById("td"+line_id+".0").offsetHeight-1;
                    document.getElementById("chk_div"+line_id).style.top=document.getElementById("td"+line_id+".0").offsetTop+"px";
                    document.getElementById("chk_div"+line_id).style.height=new_height+"px";
                    if (rp_div)
                        { // Зафиксированное поле
                            document.getElementById("rp_div"+line_id).style.top=document.getElementById("td"+line_id+".0").offsetTop+"px";
                            document.getElementById("rp_div"+line_id).style.height=new_height+"px";
                        }
                }
        };

    function rebuild_header() {
        var l_id = all_lines_pp[0];
        $('[id^=td'+l_id+']').each(function(num, elem){
            $('#header_'+elem.id.split('.')[1]).css({
                                                                                                width: $(elem).width()+"px",
                                                                                                minWidth: $(elem).width()+"px",
                                                                                                maxWidth: $(elem).width()+"px"
                                                                                            });
        });
    }

    function on_top_resize()
        {
            {if $config.window_scroll neq 1}
            return;
            {/if}
            if (document.getElementById('top_header_back'))
                { // изменяем высоту подложки
                    document.getElementById('top_header_back').style.height=top_header_div.offsetHeight+"px";
                };

            // Эммитация скрола, чтобы пересчитать высоту табличных эелементов
            old_offs_y=-1;header_orientir=-1;scroll_orientir=-1;
            onMyScroll();
        }

    function redraw_right_white()
        {
            if (fields_content_table)
                {
                    right_white.style.left=(window_width-table_padding)+"px";
                    right_white.style.top ="0px";
                    right_white.style.width=table_padding+"px";
                    right_white.style.height=window_height+"px";
                    left_white.style.left="0px";
                    left_white.style.top ="0px";
                    left_white.style.width=table_padding+"px";
                    left_white.style.height=window_height+"px";
                };
        }

    var last_ie_width=0;
    var last_ie_height=0;
    function on_window_resize()
        {
            {if $config.window_scroll neq 1}
            return;
            {/if}

            left_white=document.getElementById('left_white');
            right_white=document.getElementById('right_white');
            top_header_div=document.getElementById('top_header_div');
            fields_content_table=document.getElementById('fields_content_table');
            fields_buttons_table=document.getElementById('fields_buttons_table');
            popup_div_headers  =document.getElementById('popup_div_headers')
            popup_table_headers=document.getElementById('popup_table_headers')
            window_width = document.documentElement.clientWidth;
            window_height= document.documentElement.clientHeight;
            buttons_h=fields_buttons_table.offsetHeight;

            if (page_loaded)
                {
                    visible_popup=0;
                    on_top_resize();
                    redraw_right_white();
                }
            else
            if (document.getElementById('top_header_back'))
                {  //если есть фоновый div блок
                    top_header_div.style.position='absolute';
                    document.getElementById('top_header_back').style.height=top_header_div.offsetHeight+"px";
                    redraw_right_white();
                }
            if ((document.getElementById('footback_table_id'))&&(fields_content_table))
                { // фиксируем ширину подвала
                    document.getElementById('footback_div_id').style.width=fields_content_table.offsetWidth+"px";
                    document.getElementById('footback_table_id').style.width=window_width+"px";
                }
            rebuild_header();
        }

    var clear_header_cat_timer=0;
    function ClearHeaderCat()
        {
            {if $cur_cat}
            document.getElementById('cat'+prev_cat).style.display='none';
            document.getElementById('cat{$cur_cat}').style.display='block';
            document.getElementById('active_cat_'+prev_cat).blur();
            prev_cat={$cur_cat};
            clear_header_cat_timer=0;
            {/if}
        }

    $(function() {
        {if !$preg_matches} {assign var=preg_matches value=0} {/if}
        {if $demo_base_id or preg_match('/^demo(\d+)/i', $smarty.server.HTTP_HOST, $preg_matches)}
        if ($.cookie('demo_create_acc')!='1')
            {
                $('.demo_create_acc, .demo_create_acc2').css('display', 'block');
            }
        {/if}
    });

    var csrf='{$csrf}';
    var lang_full = '{$config.lang}';

    var page_hash = "{$user.user_hash}";
    {if $user.id > 0}
    var user = new Object;
    user.id  = {$user.id};
    user.fio = "{$user.fio}";
    user.acc_msg = {$user.acc_messages};
    user.notify_mes = {$user.notify_messages};
    user.sound_on = '{$user.sound_on}';
    user.cut_notify_text = '{$user.cut_notify_text}';
    {/if}
    var config = new Object;
    config['type'] = '{$config.type}';
    config['version'] = '{$config.version}';
    config['lang'] = '{$config.lang}';
    config['revision'] = '{$config.revision}';
    config['events_refresh'] = ('{$config.events_refresh}'?'{$config.events_refresh}':30000);

    function display_filter_group(filter_id, filter_pid)
        {
            if ($('#filters_div'+filter_id).css('display')!='block')
                {
                    $('.child_active_filters_group'+filter_pid).css('color','#bbbbbb');
                    $('#active_filters_group'+filter_id).css('color','black');
                    $('.child_filters'+filter_pid).css('display','none');
                    $('#filters_div'+filter_id).css('display','block');
                }
            else
                {
                    $('#active_filters_group'+filter_id).css('color','#bbbbbb');
                    $('.child_filters'+filter_pid).css('display','none');
                    $('#filters_div'+filter_id).css('display','none');
                }
        }

    {if $edit_page}
    $(function(){
        {* /* присоединяем к таблице функцию drug'n'drop,
                    необходимо присвоить таблице класс "sortableTable"*/ *}
        var sortTable = $(".sortableTable"),
            sortTableTr = $("tbody tr",sortTable);
        if (sortTableTr.length > 1)
            {
                {* Добавляем в таблицу пустые строки в начало и конец, чтобы облегчить драг крайних строк *}
                var firstTr = $("tr:first",sortTable),
                    colspan = $("td",firstTr).length,
                    height = firstTr.height()/6;
                $("tr:first",sortTable).before("<tr class='noDrug'><td colspan='" + colspan + "' style='height:" + height + "px;'></td></tr>");
                $("tr:last",sortTable).after("<tr class='noDrug'><td colspan='" + colspan + "' style='height:" + height + "px;'></td></tr>");

                $("tbody",sortTable).sortable({
                                                                                handle: 'td',                        {* // за что буем таскать *}
                                                                                axis: "y",                           {* // ограничение по оси y *}
                                                                                containment: "parent",               {* // в пределах какого "контейнера" *}
                                                                                cursor: "move",                      {* // вид курсора *}
                                                                                delay: 100,                          {* // задержка курсором перед перетаскиванием *}
                                                                                distance: 0,                         {* // дистанция после которого элемент начинает перетаскиваться *}
                                                                                cancel: ".mouseHoverTip, input, .noDrug",            {* // не перетаскивать за подсказки *}
                                                                                helper: function(e, tr) {            {* // обработка плавающего элемента при перетаскивании *}
                                                                                    var originals = tr.children(),
                                                                                        helper = tr.clone(),
                                                                                        children = helper.children(),
                                                                                        index = 0;
                                                                                    for (var i=children.length; i--;) {
                                                                                        index = i-1;
                                                                                        children.eq(index)
                                                                                            .css({ "background-color":"#FFF6AD",
                                                                                                         "width":originals.eq(index).width() });
                                                                                    }
                                                                                    return helper;
                                                                                },
                                                                                stop: function(event,ui) {            {* // функция запускаюшаяся при остановке перетаскивания *}
                                                                                    var workTr = $(this).find("tr").not(".noDrug");
                                                                                    for (var i=workTr.length; i--;) {
                                                                                        var numInput = workTr.eq(i).find("td").find("input"),
                                                                                            number = i+1;
                                                                                        if (numInput.val()!=number) {
                                                                                            ui.item.css("background-color","#FFF6AD");
                                                                                        }
                                                                                        numInput.val(number);
                                                                                        numInput.prop("readonly",true);
                                                                                    }
                                                                                },
                                                                                start: function (e, ui) {              {* // функция запускаюшаяся при старте перетаскивания *}
                                                                                    ui.placeholder.height(ui.item.height());
                                                                                }
                                                                            });

                {* /* после загрузки страницы,
                 в drag таблице в первой строке пропишем автоматически
                 скомпилированные стили колонок inline, чтобы при
                 перетаскивании размеры колонок не прыгали */ *}
                var startIndex = false;
                sortTable.css("height",sortTable.height());
                sortTableTr.eq(1).find('td').each(function(index, val) {
                    if (startIndex)
                        $(this).css("width",$(this).width());
                    if ($(this).find("input").length)
                        startIndex = true;
                });
                startIndex = false;
                sortTableTr.eq(2).find('td').each(function(index, val) {
                    if (startIndex)
                        $(this).css("width",$(this).width());
                    if ($(this).find("input").length)
                        startIndex = true;
                });

                {* /* вешаем появление стрелочки при наведении курсора на строку */ *}
                sortTableTr.hover(
                    function() {
                        $(this).find(".draggableImg").addClass('draggableImgHover');
                    },
                    function() {
                        $(this).find(".draggableImg").removeClass('draggableImgHover');
                    }
                );
            }
    });
    {/if}

    window.onload = function() {
        pageloaded();
    };

    {if $show_dialog_configuration_revision}
    var dont_ask_configuration_revision_dialog=false;
    $(function() {
        // Выводим уведомление о том что вышла новая ревизия
        jconfirm('Выпущена новая ревизия конфигурации {$config.last_configuration_revision}. Ваша текущая версия {$config.configuration_revision}.<br> Обновиться до последней ревизии?<br><br><input type=checkbox style="margin:0px;" onclick="dont_ask_configuration_revision_dialog=this.checked;"> не напоминать в течение месяца',
            function () { // Да обновиться
                location.href = 'edit_saas.php';
            },
            function () { // Нет не обновляемся
                $.ajax({
                    url: "edit_revis_conf.php",
                    data: {
                        'stop_revision_update': '1',
                        'dont_ask_configuration_revision_dialog': dont_ask_configuration_revision_dialog,
                        'csrf': csrf
                    },
                    dataType: "json",
                });
            });
    });
    {/if}
    {$ADDITIONAL_JAVASCRIPT}
    </script>
    </HEAD>
{/if}
</div> {* class=content *}
</div> {* id="all_nonmenu_text" *}
</div> {* id="top_header_div" *}
<style>
    .header__submenu li a {
        padding: 4px 8px 0px 8px !important;
    }

    .header__submenu li.flexMenu-viewMore a {
        padding: 4px 8px 4px 8px !important;
    }

    body,
    .repconview_params,
    #footback_div_id,
    .header__submenu > ul > li.active:not(.flexMenu-viewMore) > a,
    .more-active-li > a,
    .more-active-li > ul > .active {
        background: {$report_background_color} !important;
    }

    /* Переопределение стилей при primevue для шапки отчетов */
    .report input[type="button"],
    .report input[type="submit"],
    .report input[type="reset"],
    .report input[type="file"]::-webkit-file-upload-button,
    .report button {
        border-radius: 3px;
        border-color: #ccc;
        border-width: 1px;
    }

    .report .btn-default:hover {
        border-color: #adadad;
    }
</style>
<div class="report"{if $mobile_view}data-mobile-view="true"{/if}> {* close in index_bottom.php *}
<div class="report__wrapper"> {* close in index_bottom.php *}
{if $error}
<div align="center" style="margin:50px">{$error}</div>
{elseif $report.form}
<form action="report.php?id={$report.id}" method="post" id="report_form">
<input type="hidden" name="csrf" value="{$csrf}">
{eval var=$report.form}
</form>
{else}
    <link rel="stylesheet" type="text/css" href="themes/clientbase/css/report_builtin_style.css?{$revision}" />
    <script type="text/javascript" src="themes/clientbase/js/html2pdf.bundle.js?{$revision}"></script>
    <script type="text/javascript" src="themes/clientbase/js/report_builtin_script.js?{$revision}"></script>
    <div id="rapps-root-report-view">{$report.report_data}</div>
{/if}
<script>
$(function(){
        $('#link_table').addClass('leg_activ');
        var ajaxObj = new XMLHTTP("report.php?id={$cur_report}");
    ajaxObj.method="POST";

    $("#legend_short span").click(function(){
        document.getElementById('legend_short').style.display = 'none';
        document.getElementById('legend_full').style.display = 'block';
        ajaxObj.call('legend_status=1&csrf={$csrf}', function(){});
    });

    $("#leg_close").click(function(){
        document.getElementById('legend_full').style.display = 'none';
        document.getElementById('legend_short').style.display = 'block';
        ajaxObj.call('legend_status=0&csrf={$csrf}', function(){});
    });

    // Горизонатльный скролл для таблиц
    $('.repconview__table_table').fixedTable();
});
</script>
{if $report.help}
    <div class="no_print">
        <div id="legend_short" style="display: {if $legend_minimized}block{else}none{/if};">
        <p align="center"><span>{$lang.Legend_report} "{$report.name}"</span></p>
        </div>
    </div>
    <div id="legend_full" style="display: {if $legend_minimized}none{else}block{/if};">
        <div id="leg_head" class="fields__legend-head">
                <div class="fields__legend-tabs">
                    <span id="link_table">{$lang.Description_of_report}</span>
                </div>
                <div>
                    <img id="leg_close" alt="{$lang.Cancel}" src="images/bullet.png" style="border-width: 0px; border-style: solid; cursor: pointer;" />
                </div>
        </div>
        <div id="leg_line"></div>
        <div id="leg_table" class="leg_tab" style="display: block;">
            <div class="leg_descr">{$legend.report.help}
            </div>
        </div>
    </div>
{/if}
<script type="text/javascript" src="./themes/clientbase/libs/jquery/jquery.context.js?{$revision}"></script>
<script>
    NProgress.set(0.99);
    setTimeout(function() { NProgress.done(); $('.fade').removeClass('out'); }, 100);
</script>
